
set lines 110
set wrap on
set echo on
col sals format a90

SELECT deptno
,      CAST(COLLECT(sal) AS number_ntt) AS sals
FROM   emp
GROUP  BY
       deptno;

SELECT deptno
,      CAST(COLLECT(CAST(sal AS NUMBER)) AS number_ntt) AS sals
FROM   emp
GROUP  BY
       deptno;

CREATE TYPE number_7_2_ntt AS TABLE OF NUMBER(7,2);
/

SELECT deptno
,      CAST(COLLECT(sal) AS number_7_2_ntt) AS sals
FROM   emp
GROUP  BY
       deptno;

DROP TYPE number_7_2_ntt;

